Bug 448137 - Rotate ipa_error.log
Rotate ipa_error.log
Status: CLOSED NOTABUG
Product: freeIPA
Classification: Community
Component: WebUI (Show other bugs)
1.0
All Linux
low Severity low
: ---
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks: freeipa10 429034
  Show dependency treegraph
 
Reported: 2008-05-23 14:11 EDT by Rob Crittenden
Modified: 2015-01-04 18:32 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-28 10:08:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Crittenden 2008-05-23 14:11:10 EDT
The UI logs errors to /var/log/ipa_error.log.

We need a logrotate configuration file and ipa_webgui needs to know to re-open
the logs on SIGHUP.
Comment 1 Rob Crittenden 2008-05-28 10:08:46 EDT
This is already set up in ipa_webgui.cfg:

args="('/var/log/ipa_error.log', 'w6', 1, 4)"

The log is rotated weekly on Sunday and 4 backups are kept.

Note You need to log in before you can comment on or make changes to this bug.